Bug 1257291 - glusterFS_native_driver: Access allow or deny of a share to a nova VM disrupts IO on existing mounts
glusterFS_native_driver: Access allow or deny of a share to a nova VM disrupt...
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 7.0 (Kilo)
Assigned To: Csaba Henk
nlevinki
Don Domingo
: ZStream
Depends On:
Blocks: 1263542
  Show dependency treegraph
 
Reported: 2015-08-26 13:22 EDT by krishnaram Karthick
Modified: 2016-08-17 05:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
With the glusterFS_native driver, providing or revoking 'cert'-based access to a share restarts a Red Hat Gluster Storage volume. This, in turn, will disrupt any ongoing I/O to existing mounts. To prevent any data loss, unmount a share on all clients before allowing or denying access to it.
Story Points: ---
Clone Of:
: 1263542 (view as bug list)
Environment:
Last Closed: 2015-09-16 02:56:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kramdoss: needinfo-


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1489081 None None None Never

  None (edit)
Description krishnaram Karthick 2015-08-26 13:22:41 EDT
Description of problem:

With glusterFS native driver running Kilo, Gluster volume is restarted as part of providing and revoking 'cert' based access in gluster native driver. This disrupts IO to existing mounts. Granting and revoking access should happen more gracefully without any disruption to existing mounts.

Version-Release number of selected component (if applicable):

openstack-manila-2015.1.0-2

How reproducible:

always

Steps to Reproduce:

1) Create a manila share from gluster backend
2) allow 'cert' based access to a nova VM
3) Mount the share on the nova VM and run IOs
4) allow 'cert' based access to another nova VM
5) IO on first nova VM will fail

Note: The behavior is same while access is denied as well

Actual results:

IO on any existing mount fails

Expected results:

There shouldn't be any disruption to IOs while granting and revoking access

Additional info:

With this issue. administrator will have to unmount shares on all clients before allowing or denying access to a share using glusterFS native driver.
Comment 5 Csaba Henk 2015-09-16 02:56:28 EDT
No fix shall be provided for upstream Kilo and thus it's not fixed in RHEL OSP7 either.
It's added to the OSP7 Errata, see
https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/release-notes#idm140465730614816

The bug is handled in upstream Liberty. To track the downstream port of that fix, please see the variant of this bug for OSP8: BZ #1263542

Note You need to log in before you can comment on or make changes to this bug.